Boost.Sort

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | List of all members
rightshift Struct Reference

## Public Member Functions
int | operator() (const DATA_TYPE &x, const unsigned offset) const
int | operator() (const DATA_TYPE &x, const unsigned offset)
int | operator() (DATA_TYPE x, unsigned offset)
int | operator() (const DATA_TYPE &x, const unsigned offset) const

## Member Function Documentation

int rightshift::operator() | ( | const DATA_TYPE & | x,
|  | const unsigned | offset
| ) |  | const
| inline

int rightshift::operator() | ( | DATA_TYPE | x,
|  | unsigned | offset
| ) |  |
| inline

int rightshift::operator() | ( | const DATA_TYPE & | x,
|  | const unsigned | offset
| ) |  |
| inline

int rightshift::operator() | ( | const DATA_TYPE & | x,
|  | const unsigned | offset
| ) |  | const
| inline

The documentation for this struct was generated from the following files:

- I:/modular-boost/libs/sort/example/floatfunctorsample.cpp
- I:/modular-boost/libs/sort/example/keyplusdatasample.cpp
- I:/modular-boost/libs/sort/example/rightshiftsample.cpp
- I:/modular-boost/libs/sort/example/shiftfloatsample.cpp